Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.testing
[Groovy] Class GrailsMockHttpSession

    java.lang.Object
      org.springframework.mock.web.MockHttpSession
          org.codehaus.groovy.grails.plugins.testing.GrailsMockHttpSession

    class GrailsMockHttpSession
    extends MockHttpSession

Simple sub-class of Spring's MockHttpSession that adds support for map and property notation, i.e. "session['attr']" and "session.attr".

Method Summary
`java.lang.Object` | `getAt(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`void` | `putAt(java.lang.String name, java.lang.Object value)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Method Detail

### getAt

    java.lang.Object getAt(java.lang.String name)

### getProperty

    java.lang.Object getProperty(java.lang.String name)

### putAt

    void putAt(java.lang.String name, java.lang.Object value)

### setProperty

    void setProperty(java.lang.String name, java.lang.Object value)

Groovy Documentation